%define ver_major 0.8
%define _name gstreamer

Name: gstreamer-ffmpeg
Version: %ver_major.0
Release: alt1.2

Summary: GStreamer Streaming-media framework plug-in using FFmpeg
Group: System/Libraries
License: LGPL
Url: http://gstreamer.freedesktop.org/

Source: %url/src/gst-ffmpeg/gst-ffmpeg-%version.tar.bz2

Requires: %_name-plugins >= %version
Requires(post,postun): gstreamer-utils >= %version
BuildPreReq: gstreamer-devel >= %version

# Automatically added by buildreq on Sun Apr 04 2004
BuildRequires: XFree86-devel XFree86-libs esound freetype2-devel gcc-c++ gcc-g77 glib2-devel gstreamer-devel libSDL-devel libpopt-devel libstdc++-devel libxml2-devel pkgconfig tetex-core zlib-devel

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most
popular multimedia formats.

%define _gst_libdir %_libdir/gstreamer-%ver_major
%add_findprov_lib_path %_gst_libdir
%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n gst-ffmpeg-%version

%build
%configure \

%if 0
    --enable-mp3lame \
    --enable-vorbis \
    --enable-faadbin \
    --enable-faac \
    --enable-shared-a52 \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif
%endif

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%post
%gst_register
%gst_compprep

%postun
%gst_register
%gst_compprep

%files
%_gst_libdir/*.so
%doc AUTHORS README

%changelog
* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1.2
- relax gstreamer dependencies.

* Sun Apr 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1.1
- First build for Sisyphus.

